%define upstream_name XML_RPC2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.1
Release:     	%mkrel 3
Summary:    	RPC client/server library
License: 	PHP License 3.02
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_RPC2-%{version}.tgz
URL: 		http://pear.php.net/package/XML_RPC2
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request2 >= 0.6.0
Requires:	php-pear-Cache_Lite >= 1.6.0
Requires:	php-pear >= 1.5.4
Obsoletes:	php-pear-XML_RPC
BuildArch: 	noarch

%description
XML_RPC2 is a pear package providing XML_RPC client and server services.
XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.
    As a client library, XML_RPC2 is capable of creating a proxy class
which exposes the methods exported by the server. As a server library,
XML_RPC2 is capable of exposing methods from a class or object instance,
seamlessly exporting local methods as remotely callable procedures.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_RPC2.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_RPC2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_RPC2
fi

%files
%defattr(-,root,root)
%doc docs/XML_RPC2/*
%{peardir}/*
%{xmldir}/XML_RPC2.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 377422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 15 2012 spuhler <spuhler> 1.1.1-2.mga2
+ Revision: 196190
- added Obsoletes: php-pear-XML_RPC is listet upstream

* Fri Jan 13 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 195537
- upgrade to 1.1.1
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 1.0.6-1.mga1
+ Revision: 44433
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_RPC2

